/*-=-=-=-=-=-=-=-=-=-=-=- RCCL/RCI Notice of Copyright -=-=-=-=-=-=-=-=-=-=-*
 *									    *
 *	Copyright (C) 1987, 1991 by Mike Parker.			    *
 *									    *
 *	Information on copyright permissions, as well as a complete	    *
 *	disclaimer of warranty, is given in the file COPYRIGHT.		    *
 *									    *
 *-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/

#include <stdio.h>

#include <sys/file.h>

#include "../sys/rciext/kaioctl.h"

char vbuf[256];
struct blkdesc desc = { sizeof(vbuf), vbuf };

main()
{
 int fd;

 fd = open("/dev/ka1",O_RDWR,0);
 if (fd < 0)
  { perror("/dev/ka1");
    exit(1);
  }
 if (ioctl(fd,KAIOC_GETSKV,&desc) < 0)
  { perror("KAIOC_GETSKV ioctl");
    exit(1);
  }
 vbuf[sizeof(vbuf)-1] = '\0';
 printf("%s\n",vbuf);
 exit(0);
}
